if not _G.VTKC then
    _G.VTKC = {}
	VTKC._path = ModPath
	VTKC.totalKills = { kills = 0, sessionKills = "on", flipped = "on", type = 1 }
	VTKC.neededKills = 658893
	function VTKC:Load()
		local  file = io.open(SavePath .. "TotalKills.json", "r")
		if not file   then return false end
		local  fileT= file:read("*all"):gsub("%[%]","{}") 
			   file : close()
		if 	   fileT == "" then return end
		
		VTKC.totalKills = json.decode(fileT)
	end
	VTKC:Load()

	function VTKC:Save()
		local  file = io.open(SavePath .. "TotalKills.json", "w")
		if not file then return false end
			   file:write(json.encode( VTKC.totalKills ))
			   file:close()
	end
	VTKC:Save()
end


Hooks:PostHook( StatisticsManager, "killed", "nephud_kill_panel", function(self, data)
	local by_bullet = data.variant == "bullet"
	local by_melee = data.variant == "melee" or data.weapon_id and tweak_data.blackmarket.melee_weapons[data.weapon_id]
	local by_explosion = data.variant == "explosion"
	local by_other_variant = not by_bullet and not by_melee and not by_explosion
	local icons_panel = managers.hud._hud_assault_corner._custom_hud_panel:child("icons_panel")
	local kills_panel = icons_panel:child("kills_panel")
	local text_box = kills_panel:child("num_kills")
	local kills_panel2 = icons_panel:child("kills_panel2")
	local text_box2 = kills_panel2:child("num_kills2")

	if by_bullet then
		VTKC._total_killed_in_session = VTKC._total_killed_in_session + 1
		text_box:set_text(VTKC._total_killed_in_session)
		VTKC.totalKills.kills = VTKC.totalKills.kills + 1
		local numberToDisplay = 0
		if VTKC.totalKills.type == 1 then
			numberToDisplay = VTKC.totalKills.kills
		elseif VTKC.totalKills.type == 2 then
			numberToDisplay = VTKC.neededKills - VTKC.totalKills.kills
		else
			numberToDisplay = math.floor(VTKC.totalKills.kills*10000/VTKC.neededKills)/100
		end
		text_box2:set_text(numberToDisplay)
		VTKC:Save()
	elseif by_melee then
		VTKC._total_killed_in_session = VTKC._total_killed_in_session + 1
		text_box:set_text(VTKC._total_killed_in_session)
		VTKC.totalKills.kills = VTKC.totalKills.kills + 1
		local numberToDisplay = 0
		if VTKC.totalKills.type == 1 then
			numberToDisplay = VTKC.totalKills.kills
		elseif VTKC.totalKills.type == 2 then
			numberToDisplay = VTKC.neededKills - VTKC.totalKills.kills
		else
			numberToDisplay = math.floor(VTKC.totalKills.kills*10000/VTKC.neededKills)/100
		end
		text_box2:set_text(numberToDisplay)
		VTKC:Save()
	elseif by_explosion then
		VTKC._total_killed_in_session = VTKC._total_killed_in_session + 1
		text_box:set_text(VTKC._total_killed_in_session)
		VTKC.totalKills.kills = VTKC.totalKills.kills + 1
		local numberToDisplay = 0
		if VTKC.totalKills.type == 1 then
			numberToDisplay = VTKC.totalKills.kills
		elseif VTKC.totalKills.type == 2 then
			numberToDisplay = VTKC.neededKills - VTKC.totalKills.kills
		else
			numberToDisplay = math.floor(VTKC.totalKills.kills*10000/VTKC.neededKills)/100
		end
		text_box2:set_text(numberToDisplay)
		VTKC:Save()
	elseif by_other_variant then
		VTKC._total_killed_in_session = VTKC._total_killed_in_session + 1
		text_box:set_text(VTKC._total_killed_in_session)
		VTKC.totalKills.kills = VTKC.totalKills.kills + 1
		local numberToDisplay = 0
		if VTKC.totalKills.type == 1 then
			numberToDisplay = VTKC.totalKills.kills
		elseif VTKC.totalKills.type == 2 then
			numberToDisplay = VTKC.neededKills - VTKC.totalKills.kills
		else
			numberToDisplay = math.floor(VTKC.totalKills.kills*10000/VTKC.neededKills)/100
		end
		text_box2:set_text(numberToDisplay)
		VTKC:Save()
	end
end)